# Guard::Sync

Watches a directory for changes and synchronizes those changed to a remote directory (using rsync).

NOTE: USE AT YOUR OWN RISK! Very little testing has been done with this plugin!

## Installation

Add this line to your application's Gemfile:

    gem 'guard-sync'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install guard-sync

## Usage

`$ guard init guard-sync`

Change options as needed in the Guardfile (list of options below)

`$ guard`

## Options (and their defaults)

    :host => 'dev'
    :src => '.'
    :dest => 'app'
    :run_on_start => false
    :archive => false
    :recursive => true
    :compress => true
    :permissions => true
    :delete => false
    :verbose => false
    :quiet => true

## TODO

Better errors

Ensure valid paths before running

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

=======
guard-sync
==========
